let
  pkgs = import <nixpkgs> {
    overlays = [
      (final: prev: {
        python3 = prev.python3.override {
          packageOverrides = pythonFinal: pythonPrev: {
            python-escpos = pythonPrev.python-escpos.overrideAttrs (oldAttrs: {
              version = "0.0.0+unstable-2024-10-10";
              src = oldAttrs.src.override {
                rev = "7d42f117161362e99c56431ebeb2ef1e9c91c495";
                hash = "sha256-Wl7naHbsYfN+VYASQXyWrLNF953nwoM0ugiutE2jYNI=";
              };
            });
          };
        };
      })
    ];
  };
  devshell = import <devshell> { };
in

# alias print="lp -d EPSON-TM-m30 -o lpi=10 -o cpi=15"
devshell.mkShell {
  packages = with pkgs; [
    (python3.withPackages (p: with p; [
      python-escpos
      pycups
    ]))
  ];
}
